Subject: Re: [PATCH 00/13] reftable: prepare for re-seekable iterators

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 May 2024 10:17:31 -0700

Patrick Steinhardt <[email-masked]> writes:

> It's needed in the sense that your version leaks memory -- the `ti`
> pointer is never free'd. Other than that they are equivalent indeed.

Ah, OK, I somehow misread that _close() will free the resource, but
it only frees the resources held by the shell and not the shell
itself.

Thanks.